> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve jobs schedule

> Fetch the schedule for a tenant



## OpenAPI

````yaml get /{env_id}/{flow_id}/{tenant}/jobs/schedule
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/jobs/schedule:
    get:
      summary: Retrieve jobs schedule
      description: Fetch the schedule for a tenant
      operationId: jobs-schedule-retrieve
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: job_type
          in: query
          description: Type of job to retrieve (Bidirectional flows only)
          schema:
            type: string
            enum:
              - read
              - write
            default: read
          required: false
        - name: connector_id
          in: query
          description: >-
            ID of connector to retrieve. If not provided, flow level schedule
            will be returned.
          schema:
            type: string
          required: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    ScheduleExpression: cron(0 0 ? * SUN *)
                    State: DISABLED
                    ScheduleJitterMinutes: 60
                    ExtraArgs:
                      override_start_date: '2000-01-01'
              schema:
                type: object
                properties:
                  ScheduleExpression:
                    type: string
                    example: cron(0 0 ? * SUN *)
                  State:
                    type: string
                    example: DISABLED
                  ScheduleJitterMinutes:
                    type:
                      - integer
                      - 'null'
                    example: 60
                  ExtraArgs:
                    type: object
                    example:
                      override_start_date: '2000-01-01'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````